
Member Nodes - Task #3412

MNDeployment # 3221 (Operational): EDAC member node 

Test the EDAC node for Tier1 conformance

2012-12-04 05:40 - Dave Vieglais

Status: Closed Start date: 2013-06-11

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

Subtasks:

Task # 3800: serialized resource maps are invalid Closed

Task # 3801: resource map resource URIs need to use cn/v1/resolve Closed

History

#1 - 2012-12-04 06:47 - Dave Vieglais

- Assignee set to Dave Vieglais

Test against MNWebCheck 1.0.4 tier 0 fails:

http://mncheck.test.dataone.org:8080/MNWebTester_v1.0.4-SNAPSHOT_r10486/mntester_?mNodeUrl=http%3A%2F%2Fgstore.unm.edu%2Fapps

%2Fdataone&testObjectSeries=&maxTier=Tier0

#2 - 2012-12-04 07:00 - Dave Vieglais

Some observations:

1. Inconsistent trailing slash interpretation e.g.:

curl -v "http://gstore.unm.edu/apps/dataone/v1/node/"

vs 

curl -v "http://gstore.unm.edu/apps/dataone/v1/node"

1. Slice with invalid params causes server failure. e.g.:

curl -v "http://gstore.unm.edu/apps/dataone/v1/object?count=-1&start=50"

1. Sometimes a call to a service endpoint will fail. This seems to happen on the first call, with subsequent requests usually OK.
#3 - 2012-12-04 07:00 - Dave Vieglais

- Status changed from New to In Progress

#4 - 2013-01-17 13:43 - Dave Vieglais

Progress currently blocked by a bug in the MN web checker ( http://mncheck.test.dataone.org:8080/ ) described in issue #3491

#5 - 2013-01-25 20:00 - Dave Vieglais

- Target version set to Deploy by RSV

#6 - 2013-05-24 18:48 - Matthew Jones

- Target version changed from Deploy by RSV to Deploy by end of Y4Q4

#7 - 2013-07-02 23:58 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

web tester passes tests, and the situations in comment #2 have been addressed.

#8 - 2013-07-23 18:14 - Laura Moyers

- Target version changed from Deploy by end of Y4Q4 to 315

#9 - 2013-11-05 17:23 - Rob Nahf

- Target version changed from 315 to Deploy by end of Y5Q2

#10 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#11 - 2014-05-01 15:51 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

#12 - 2014-06-30 17:52 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Operational
